=head1 NAME

Gtk2::IconInfo

=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::IconInfo


=head1 METHODS

=head2 list = $icon_info-E<gt>B<get_attach_points> 

=over


Returns the attach points as an interleaved list of x and y coordinates.


=back

=head2 integer = $icon_info-E<gt>B<get_base_size> 

=over

=back

=head2 pixbuf or undef = $icon_info-E<gt>B<get_builtin_pixbuf> 

=over

=back

=head2 string = $icon_info-E<gt>B<get_display_name> 

=over

=back

=head2 rectangle = $icon_info-E<gt>B<get_embedded_rect> 

=over

=back

=head2 string = $icon_info-E<gt>B<get_filename> 

=over

=back

=head2 pixbuf or undef = $icon_info-E<gt>B<load_icon> 

=over



May croak with a L<Glib::Error> in $@ on failure.

=back

=head2 $icon_info-E<gt>B<set_raw_coordinates> ($raw_coordinates)

=over

=over

=item * $raw_coordinates (boolean) 

=back

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

